Request Payment

Purpose

Where a payment request is submitted, this webhook event will contain all the relevant details which needs responded to with a status of either; authorized, pending or refused

Request Parameters

AttributeDefinition
gatewayProfileIdIdentifier for the gateway profile that should process the payment.
amountPayment amount in the smallest currency unit, such as cents.
currencyISO 4217 currency code for the payment amount, such as EUR.
referenceYour unique reference for the payment, such as an order number.
payer.namePayer's display name.
payer.emailPayer's email address.
payer.referenceYour external identifier for the payer.
returnUrlURL to send the payer to after they complete or exit the payment flow.
logoUrlPublic URL of a logo to display in the payment flow.

Response Parameters

AttributeDefinition
update.gatewayIdIdentifier assigned to the payment by the gateway. This can be null when the payment is refused.
update.statusPayment decision: authorized, pending, or refused.
update.methodPayment method reported by the gateway, such as visa.
action.typeRequired next action for the payer, such as redirect; absent when no further action is needed.
action.urlDestination URL for the required action, such as the gateway's payment-completion page.
Body Params
string
required
int32
required
string
required
string
required
string
required
string
payer
object
Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json